FinWise API
SupportChangelog

The planned transaction object

Attributes

idstring
Unique identifier for the planned transaction.
createdAtstring
When the object was created, ISO 8601.
updatedAtstring
When the object was last updated, ISO 8601.
userIdstring
Owner of the object. Always the authenticated user.
descriptionnullable string
Payee / memo.
startDatestring
First occurrence.
endDatenullable string
Last occurrence, if it ends.
amountnullable object
Typical amount.
amountnumber
Numeric amount in that currency.
currencyCodestring
ISO 4217 code, e.g. USD, EUR, ZAR.
flexibleAmountMinnullable object
Lower bound when the amount varies.
amountnumber
Numeric amount in that currency.
currencyCodestring
ISO 4217 code, e.g. USD, EUR, ZAR.
flexibleAmountMaxnullable object
Upper bound when the amount varies.
amountnumber
Numeric amount in that currency.
currencyCodestring
ISO 4217 code, e.g. USD, EUR, ZAR.
variableFixedPercentnullable number
Allowed percent variance around a fixed amount, 0–100.
frequencystring
e.g. monthly, weekly, yearly.
accountIdnullable string
Account it posts to.
transactionCategoryIdnullable string
Category to assign.
merchantIdnullable string
Merchant / payee.
statusenum
active or archived.
GET/planned-transactions
curl https://api.finwiseapp.io/planned-transactions \
-X GET \
-H "Authorization: Bearer fw_..." \
-H "Content-Type: application/json"
const response = await fetch('https://api.finwiseapp.io/planned-transactions', {
method: 'GET',
headers: {
Authorization: 'Bearer fw_...',
'Content-Type': 'application/json',
},
})
const data = await response.json()
The planned transaction object
[
{
"id": "aa1bb2cc-dd3e-4f50-a162-27488990abcd",
"createdAt": "2026-03-14T09:00:00.000Z",
"updatedAt": "2026-03-14T09:00:00.000Z",
"userId": "f472696c-47ac-4873-98cf-2a1069a1cf45",
"description": "Rent",
"startDate": "2026-01-01T00:00:00.000Z",
"endDate": null,
"amount": {
"amount": -2200,
"currencyCode": "USD"
},
"frequency": "monthly",
"transactionCategoryId": "a00cb43b-ab06-447c-8aeb-527680b20a50",
"merchantId": null,
"accountId": "94d2f962-d4e3-4c99-ab47-8c941cea012a",
"status": "active",
"flexibleAmountMin": null,
"flexibleAmountMax": null,
"variableFixedPercent": null
}
]